For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
              • GETList Countries
              • GETGet Address Edit Permission
              • GETList Company Addresses
              • POSTCreate Company Address
              • GETSearch Company Addresses
              • POSTSearch Addresses with Multiple Filters
              • GETGet Address
              • PUTUpdate Address Information
              • PUTMark Address as Active or Inactive
              • GETGet Company Default Addresses
          • Orders
          • Request for Quote
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontCompanyAddresses

Get Company Default Addresses

GET
https://api-b2b.bigcommerce.com/api/v2/companies/:companyId/default-addresses
GET
/api/v2/companies/:companyId/default-addresses
$curl https://api-b2b.bigcommerce.com/api/v2/companies/123/default-addresses \
> -H "Authorization: Bearer <token>"
200200 - SUCCESS
1{
2 "message": "Success",
3 "code": 200,
4 "data": {
5 "shipping": {
6 "addressId": "27",
7 "firstName": "Marie",
8 "lastName": "Curie",
9 "phoneNumber": "8001234567",
10 "label": "Austin Warehouse",
11 "extraFields": [
12 {
13 "fieldName": "Company Tax Code",
14 "fieldValue": "Code G"
15 }
16 ],
17 "addressLine1": "512 Bluebonnet Lane",
18 "addressLine2": "Building 2",
19 "city": "Austin",
20 "state": {
21 "stateName": "Texas",
22 "stateCode": "TX"
23 },
24 "zipCode": "78726",
25 "country": {
26 "countryName": "United States",
27 "countryCode": "US"
28 }
29 },
30 "billing": {
31 "addressId": "27",
32 "firstName": "Marie",
33 "lastName": "Curie",
34 "phoneNumber": "8001234567",
35 "label": "Austin Warehouse",
36 "extraFields": [
37 {
38 "fieldName": "Company Tax Code",
39 "fieldValue": "Code G"
40 }
41 ],
42 "addressLine1": "512 Bluebonnet Lane",
43 "addressLine2": "Building 2",
44 "city": "Austin",
45 "state": {
46 "stateName": "Texas",
47 "stateCode": "TX"
48 },
49 "zipCode": "78726",
50 "country": {
51 "countryName": "United States",
52 "countryCode": "US"
53 }
54 }
55 }
56}
Returns a Company’s default shipping and billing addresses. Use [Update Address Information](#update-address-information) to change which addresses are set as the defaults. Equivalent Storefront GraphQL API Query: `defaultBillingAddress` for the billing address and `defaultShippingAddress` for the shipping address. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).
Was this page helpful?
Previous

Mark Address as Active or Inactive

Next

Create Company

Built with

Returns a Company’s default shipping and billing addresses. Use Update Address Information to change which addresses are set as the defaults.

Equivalent Storefront GraphQL API Query: defaultBillingAddress for the billing address and defaultShippingAddress for the shipping address. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Path parameters

companyIdstringRequired
The unique numeric ID of the Company account.

Response

OK
messagestring
codedoubleDefaults to 200
dataobject